ImplementationSpecificArgument (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util.facade, class: ImplementationSpecificArgument

# Class ImplementationSpecificArgument

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.Commandline.Argument
org.apache.tools.ant.util.facade.ImplementationSpecificArgument

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `Javac.ImplementationSpecificArgument, Rmic.ImplementationSpecificArgument`

public class ImplementationSpecificArgument extends Commandline.Argument
Extension of Commandline.Argument with a new attribute that chooses a specific implementation of the facade.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImplementationSpecificArgument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String[]`
  `getParts(String chosenImpl)`
  Return the parts this Argument consists of, if the implementation matches the chosen implementation.
  `void`
  `setImplementation(String impl)`
  Set the implementation this argument is for.

  ### Methods inherited from class Commandline.Argument

  `copyFrom, getParts, setFile, setLine, setPath, setPathref, setPrefix, setSuffix, setValue`
  Modifier and Type
  Method
  Description
  `void`
  `copyFrom(Commandline.Argument other)`
  Copies settings from a different argument.
  `String[]`
  `getParts()`
  Return the constituent parts of this Argument.
  `void`
  `setFile(File value)`
  Set a single commandline argument to the absolute filename of the given file.
  `void`
  `setLine(String line)`
  Set the line to split into several commandline arguments.
  `void`
  `setPath(Path value)`
  Set a single commandline argument and treats it like a PATH--ensuring the right separator for the local platform is used.
  `void`
  `setPathref(Reference value)`
  Set a single commandline argument from a reference to a path--ensuring the right separator for the local platform is used.
  `void`
  `setPrefix(String prefix)`
  Set the prefix to be placed in front of every part of the argument.
  `void`
  `setSuffix(String suffix)`
  Set the suffix to be placed at the end of every part of the argument.
  `void`
  `setValue(String value)`
  Set a single commandline argument.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImplementationSpecificArgument

    public ImplementationSpecificArgument()

- ## Method Details

  - ### setImplementation

    public void setImplementation(String impl)
    Set the implementation this argument is for.
    Parameters:
      `impl` - the implementation this command line argument is for.

  - ### getParts

    public final String[] getParts(String chosenImpl)
    Return the parts this Argument consists of, if the implementation matches the chosen implementation.
    Parameters:
      `chosenImpl` - the implementation to check against.
    Returns:
      the parts if the implementation matches or an zero length array if not.
    See Also:
      - `Commandline.Argument.getParts()`